# Nuxt 3 Minimal Starter

Look at the [nuxt 3 documentation](https://v3.nuxtjs.org) to learn more.

## Setup

Make sure to install the dependencies:

```bash
# yarn
yarn install

# npm
npm install

# pnpm
pnpm install --shamefully-hoist
```

## Development Server

Start the development server on http://localhost:3000

Config Domain In Index.js [/composables/index.js]
```bash
export const apiUrl = 'https://www.b2btopsite.com/api/';
export const defaultUrl = 'https://www.b2btopsite.com/api/';
export const supplierUrl = 'https://seller.b2btopsite.com/user/login';
```

```bash
npm run dev
```

## Production

Config Domain In Index.js [/composables/index.js]
```bash
export const apiUrl = 'https://www.b2btopsite.com/api/';
export const defaultUrl = 'https://www.b2btopsite.com/api/';
export const supplierUrl = 'https://seller.b2btopsite.com/user/login';
```

Build the application for production:

```bash
npm run build
```

Locally preview production build:

```bash
npm run preview
```


Checkout the [deployment documentation](https://v3.nuxtjs.org/guide/deploy/presets) for more information.
